Help install DVSwitch in server Debian 8 64 bits for error.


EA5GVK Joaquin
 

Help. It report it error when install dvswitch:
Selecting previously unselected package dvswitch-base.
(Reading database ... 42595 files and directories currently installed.)
Preparing to unpack dvswitch-base_1.01-20180420-11_all.deb ...
Unpacking dvswitch-base (1.01-20180420-11) ...
Setting up dvswitch-base (1.01-20180420-11) ...
dpkg: error processing package dvswitch-base (--install):
 subprocess installed post-installation script returned error exit status 8
Errors were encountered while processing:
 dvswitch-base


Steve KC1AWV
 

Need more info. how are you installing DVSwitch? Are you using the DVSwitch-System-Builder script?

Only references to dvswitch-base I can find is in ASL, not DVSwitch.


Steve KC1AWV
 

For explanation of exit status 8 - that's an exec format error according to errno. Could be the package you're installing is for the wrong architecture, such as trying to install a package for ARM on an x86.


Mike KB8JNM
 

My first thought was Deb 8 may not have all supporting library for it. But never tried it.

On 3/31/2019 11:17 AM, Steve KC1AWV wrote:
For explanation of exit status 8 - that's an exec format error according to errno. Could be the package you're installing is for the wrong architecture, such as trying to install a package for ARM on an x86.


Steve KC1AWV
 

Could be, I'll see if I can replicate the issue here. Then again, I don't know where the dvswitch-base package came from, other than an ASL repo.


Steve N4IRS
 

It's all one repo. I added the DVSwitch stuff to the ASL repo.

On 3/31/19 11:23 AM, Steve KC1AWV wrote:
Could be, I'll see if I can replicate the issue here. Then again, I don't know where the dvswitch-base package came from, other than an ASL repo.


Steve KC1AWV
 

Another option is to take a look at an ASL thread that mentioned a similar issue. N4IRS gave some tricks to try to fix the issue.

https://dvswitch.groups.io/g/allstarlink/message/351

To fix the problem:
As root:
apt purge dvswitch-base
Say yes to Do you want to continue? [Y/n]

apt-get update
apt-get install dvswitch-base


Steve KC1AWV
 
Edited

Gotcha. I think that the fix you made mention of back in November may help. Purge package, update repo and reinstall. I tried here running the builder script on Debian 8 and I think I got the error to replicate. I'll post output when wipe and try again.


Steve KC1AWV
 

Here's my full output, sorry for the length, but I wanted to get everything.

vagrant@debian-8:/srv/DVSwitch-System-Builder$ sudo sh ./DVSwitch-System-Builder.sh
--2019-03-31 16:03:02--  http://dvswitch.org/install-dvswitch-repo
Resolving dvswitch.org (dvswitch.org)... 44.103.32.18
Connecting to dvswitch.org (dvswitch.org)|44.103.32.18|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 782
Saving to: ‘install-dvswitch-repo’

install-dvswitch-repo                              100%[==================================================================================================================>]     782  --.-KB/s   in 0s

2019-03-31 16:03:02 (55.2 MB/s) - ‘install-dvswitch-repo’ saved [782/782]

--2019-03-31 16:03:02--  http://dvswitch.org/ASL_Repository/dvswitch.list
Resolving dvswitch.org (dvswitch.org)... 44.103.32.18
Connecting to dvswitch.org (dvswitch.org)|44.103.32.18|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 92
Saving to: ‘dvswitch.list’

dvswitch.list                                      100%[==================================================================================================================>]      92  --.-KB/s   in 0s

2019-03-31 16:03:02 (6.38 MB/s) - ‘dvswitch.list’ saved [92/92]

--2019-03-31 16:03:02--  http://dvswitch.org/ASL_Repository/dvswitch.gpg.key
Resolving dvswitch.org (dvswitch.org)... 44.103.32.18
Connecting to dvswitch.org (dvswitch.org)|44.103.32.18|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1678 (1.6K) [application/pgp-keys]
Saving to: ‘STDOUT’

-                                                  100%[==================================================================================================================>]   1.64K  --.-KB/s   in 0s

2019-03-31 16:03:02 (103 MB/s) - written to stdout [1678/1678]

OK
Get:1 http://dvswitch.org stretch InRelease [4,806 B]
Get:2 http://dvswitch.org stretch/hamradio amd64 Packages [5,126 B]
Hit http://security.debian.org jessie/updates InRelease
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/main amd64 Packages
Hit http://security.debian.org jessie/updates/main Translation-en
Ign http://dvswitch.org stretch/hamradio Translation-en_US
Ign http://dvswitch.org stretch/hamradio Translation-en
Ign http://httpredir.debian.org jessie InRelease
Hit http://httpredir.debian.org jessie Release.gpg
Hit http://httpredir.debian.org jessie Release
Hit http://httpredir.debian.org jessie/main Sources
Hit http://httpredir.debian.org jessie/main amd64 Packages
Hit http://httpredir.debian.org jessie/main Translation-en
Fetched 9,932 B in 28s (351 B/s)
Reading package lists... Done
Installed repositories:
http://dvswitch.org/ASL_Repository/stretch/hamradio
http://httpredir.debian.org/debian/jessie/main
httpredir.debian.org
http://security.debian.org/jessie/updates/main
Hit http://dvswitch.org stretch InRelease
Ign http://httpredir.debian.org jessie InRelease
Hit http://dvswitch.org stretch/hamradio amd64 Packages
Hit http://security.debian.org jessie/updates InRelease
Hit http://httpredir.debian.org jessie Release.gpg
Hit http://security.debian.org jessie/updates/main Sources
Hit http://httpredir.debian.org jessie Release
Hit http://httpredir.debian.org jessie/main Sources
Hit http://security.debian.org jessie/updates/main amd64 Packages
Hit http://httpredir.debian.org jessie/main amd64 Packages
Hit http://security.debian.org jessie/updates/main Translation-en
Ign http://dvswitch.org stretch/hamradio Translation-en_US
Ign http://dvswitch.org stretch/hamradio Translation-en
Hit http://httpredir.debian.org jessie/main Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  git git-man liberror-perl rsync
Suggested packages:
  git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch git-cvs git-mediawiki git-svn
The following NEW packages will be installed:
  git git-core git-man liberror-perl rsync
0 upgraded, 5 newly installed, 0 to remove and 1 not upgraded.
Need to get 5,392 kB of archives.
After this operation, 24.7 MB of additional disk space will be used.
Get:1 http://security.debian.org/ jessie/updates/main git-man all 1:2.1.4-2.1+deb8u7 [1,269 kB]
Get:2 http://httpredir.debian.org/debian/ jessie/main liberror-perl all 0.17-1.1 [22.4 kB]
Get:3 http://security.debian.org/ jessie/updates/main git amd64 1:2.1.4-2.1+deb8u7 [3,709 kB]
Get:4 http://security.debian.org/ jessie/updates/main git-core all 1:2.1.4-2.1+deb8u7 [1,504 B]
Get:5 http://security.debian.org/ jessie/updates/main rsync amd64 3.1.1-3+deb8u2 [390 kB]
Fetched 5,392 kB in 1s (4,152 kB/s)
Selecting previously unselected package liberror-perl.
(Reading database ... 32039 files and directories currently installed.)
Preparing to unpack .../liberror-perl_0.17-1.1_all.deb ...
Unpacking liberror-perl (0.17-1.1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../git-man_1%3a2.1.4-2.1+deb8u7_all.deb ...
Unpacking git-man (1:2.1.4-2.1+deb8u7) ...
Selecting previously unselected package git.
Preparing to unpack .../git_1%3a2.1.4-2.1+deb8u7_amd64.deb ...
Unpacking git (1:2.1.4-2.1+deb8u7) ...
Selecting previously unselected package git-core.
Preparing to unpack .../git-core_1%3a2.1.4-2.1+deb8u7_all.deb ...
Unpacking git-core (1:2.1.4-2.1+deb8u7) ...
Selecting previously unselected package rsync.
Preparing to unpack .../rsync_3.1.1-3+deb8u2_amd64.deb ...
Unpacking rsync (3.1.1-3+deb8u2) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for systemd (215-17+deb8u11) ...
Setting up liberror-perl (0.17-1.1) ...
Setting up git-man (1:2.1.4-2.1+deb8u7) ...
Setting up git (1:2.1.4-2.1+deb8u7) ...
Setting up git-core (1:2.1.4-2.1+deb8u7) ...
Setting up rsync (3.1.1-3+deb8u2) ...
Processing triggers for systemd (215-17+deb8u11) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
curl is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  g++-4.9 libstdc++-4.9-dev
Suggested packages:
  g++-multilib g++-4.9-multilib gcc-4.9-doc libstdc++6-4.9-dbg libstdc++-4.9-doc
The following NEW packages will be installed:
  g++ g++-4.9 libstdc++-4.9-dev
0 upgraded, 3 newly installed, 0 to remove and 1 not upgraded.
Need to get 18.7 MB of archives.
After this operation, 42.1 MB of additional disk space will be used.
Get:1 http://security.debian.org/ jessie/updates/main libstdc++-4.9-dev amd64 4.9.2-10+deb8u2 [1,118 kB]
Get:2 http://httpredir.debian.org/debian/ jessie/main g++ amd64 4:4.9.2-2 [1,530 B]
Get:3 http://security.debian.org/ jessie/updates/main g++-4.9 amd64 4.9.2-10+deb8u2 [17.6 MB]
Fetched 18.7 MB in 2s (8,217 kB/s)
Selecting previously unselected package libstdc++-4.9-dev:amd64.
(Reading database ... 32845 files and directories currently installed.)
Preparing to unpack .../libstdc++-4.9-dev_4.9.2-10+deb8u2_amd64.deb ...
Unpacking libstdc++-4.9-dev:amd64 (4.9.2-10+deb8u2) ...
Selecting previously unselected package g++-4.9.
Preparing to unpack .../g++-4.9_4.9.2-10+deb8u2_amd64.deb ...
Unpacking g++-4.9 (4.9.2-10+deb8u2) ...
Selecting previously unselected package g++.
Preparing to unpack .../g++_4%3a4.9.2-2_amd64.deb ...
Unpacking g++ (4:4.9.2-2) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libstdc++-4.9-dev:amd64 (4.9.2-10+deb8u2) ...
Setting up g++-4.9 (4.9.2-10+deb8u2) ...
Setting up g++ (4:4.9.2-2) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Reading package lists... Done
Building dependency tree
Reading state information... Done
make is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  analog-bridge binfmt-support dvswitch-base libasound2 libasound2-data libflac8 libogg0 libsndfile1 libvorbis0a libvorbisenc2 md380-emu mmdvm-bridge qemu-user-static
Suggested packages:
  libasound2-plugins alsa-utils
The following NEW packages will be installed:
  analog-bridge binfmt-support dvswitch dvswitch-base libasound2 libasound2-data libflac8 libogg0 libsndfile1 libvorbis0a libvorbisenc2 md380-emu mmdvm-bridge qemu-user-static
0 upgraded, 14 newly installed, 0 to remove and 1 not upgraded.
Need to get 12.7 MB of archives.
After this operation, 85.3 MB of additional disk space will be used.
Get:1 http://dvswitch.org/ASL_Repository/ stretch/hamradio dvswitch-base all 1.01-20180420-11 [1,616 kB]
Get:2 http://security.debian.org/ jessie/updates/main libsndfile1 amd64 1.0.25-9.1+deb8u4 [216 kB]
Get:3 http://httpredir.debian.org/debian/ jessie/main libasound2-data all 1.0.28-1 [64.8 kB]
Get:4 http://security.debian.org/ jessie/updates/main qemu-user-static amd64 1:2.1+dfsg-12+deb8u10 [8,232 kB]
Get:5 http://httpredir.debian.org/debian/ jessie/main libasound2 amd64 1.0.28-1 [374 kB]
Get:6 http://httpredir.debian.org/debian/ jessie/main libogg0 amd64 1.3.2-1 [19.9 kB]
Get:7 http://httpredir.debian.org/debian/ jessie/main libflac8 amd64 1.3.0-3 [89.3 kB]
Get:8 http://httpredir.debian.org/debian/ jessie/main libvorbis0a amd64 1.3.4-2+deb8u1 [92.5 kB]
Get:9 http://httpredir.debian.org/debian/ jessie/main libvorbisenc2 amd64 1.3.4-2+deb8u1 [77.8 kB]
Get:10 http://dvswitch.org/ASL_Repository/ stretch/hamradio analog-bridge amd64 1.1-20180424-11 [155 kB]
Get:11 http://httpredir.debian.org/debian/ jessie/main binfmt-support amd64 2.1.5-1 [58.2 kB]
Get:12 http://dvswitch.org/ASL_Repository/ stretch/hamradio dvswitch all 1.01-20180420-3 [2,144 B]
Get:13 http://dvswitch.org/ASL_Repository/ stretch/hamradio md380-emu amd64 1.1-20180424-5 [687 kB]
Get:14 http://dvswitch.org/ASL_Repository/ stretch/hamradio mmdvm-bridge amd64 1.1-20180424-5 [1,055 kB]
Fetched 12.7 MB in 1s (8,125 kB/s)
Selecting previously unselected package libasound2-data.
(Reading database ... 33635 files and directories currently installed.)
Preparing to unpack .../libasound2-data_1.0.28-1_all.deb ...
Unpacking libasound2-data (1.0.28-1) ...
Selecting previously unselected package libasound2:amd64.
Preparing to unpack .../libasound2_1.0.28-1_amd64.deb ...
Unpacking libasound2:amd64 (1.0.28-1) ...
Selecting previously unselected package libogg0:amd64.
Preparing to unpack .../libogg0_1.3.2-1_amd64.deb ...
Unpacking libogg0:amd64 (1.3.2-1) ...
Selecting previously unselected package libflac8:amd64.
Preparing to unpack .../libflac8_1.3.0-3_amd64.deb ...
Unpacking libflac8:amd64 (1.3.0-3) ...
Selecting previously unselected package libvorbis0a:amd64.
Preparing to unpack .../libvorbis0a_1.3.4-2+deb8u1_amd64.deb ...
Unpacking libvorbis0a:amd64 (1.3.4-2+deb8u1) ...
Selecting previously unselected package libvorbisenc2:amd64.
Preparing to unpack .../libvorbisenc2_1.3.4-2+deb8u1_amd64.deb ...
Unpacking libvorbisenc2:amd64 (1.3.4-2+deb8u1) ...
Selecting previously unselected package libsndfile1:amd64.
Preparing to unpack .../libsndfile1_1.0.25-9.1+deb8u4_amd64.deb ...
Unpacking libsndfile1:amd64 (1.0.25-9.1+deb8u4) ...
Selecting previously unselected package dvswitch-base.
Preparing to unpack .../dvswitch-base_1.01-20180420-11_all.deb ...
Unpacking dvswitch-base (1.01-20180420-11) ...
Selecting previously unselected package analog-bridge.
Preparing to unpack .../analog-bridge_1.1-20180424-11_amd64.deb ...
Unpacking analog-bridge (1.1-20180424-11) ...
Selecting previously unselected package binfmt-support.
Preparing to unpack .../binfmt-support_2.1.5-1_amd64.deb ...
Unpacking binfmt-support (2.1.5-1) ...
Selecting previously unselected package dvswitch.
Preparing to unpack .../dvswitch_1.01-20180420-3_all.deb ...
Unpacking dvswitch (1.01-20180420-3) ...
Selecting previously unselected package qemu-user-static.
Preparing to unpack .../qemu-user-static_1%3a2.1+dfsg-12+deb8u10_amd64.deb ...
Unpacking qemu-user-static (1:2.1+dfsg-12+deb8u10) ...
Selecting previously unselected package md380-emu.
Preparing to unpack .../md380-emu_1.1-20180424-5_amd64.deb ...
Unpacking md380-emu (1.1-20180424-5) ...
Selecting previously unselected package mmdvm-bridge.
Preparing to unpack .../mmdvm-bridge_1.1-20180424-5_amd64.deb ...
Unpacking mmdvm-bridge (1.1-20180424-5) ...
Processing triggers for systemd (215-17+deb8u11) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libasound2-data (1.0.28-1) ...
Setting up libasound2:amd64 (1.0.28-1) ...
Setting up libogg0:amd64 (1.3.2-1) ...
Setting up libflac8:amd64 (1.3.0-3) ...
Setting up libvorbis0a:amd64 (1.3.4-2+deb8u1) ...
Setting up libvorbisenc2:amd64 (1.3.4-2+deb8u1) ...
Setting up libsndfile1:amd64 (1.0.25-9.1+deb8u4) ...
Setting up dvswitch-base (1.01-20180420-11) ...
dpkg: error processing package dvswitch-base (--configure):
 subprocess installed post-installation script returned error exit status 8
dpkg: dependency problems prevent configuration of analog-bridge:
 analog-bridge depends on dvswitch-base; however:
  Package dvswitch-base is not configured yet.

dpkg: error processing package analog-bridge (--configure):
 dependency problems - leaving unconfigured
Setting up binfmt-support (2.1.5-1) ...
Setting up dvswitch (1.01-20180420-3) ...
Setting up qemu-user-static (1:2.1+dfsg-12+deb8u10) ...
Setting up md380-emu (1.1-20180424-5) ...
Created symlink from /etc/systemd/system/multi-user.target.wants/md380-emu.service to /lib/systemd/system/md380-emu.service.
dpkg: dependency problems prevent configuration of mmdvm-bridge:
 mmdvm-bridge depends on dvswitch-base; however:
  Package dvswitch-base is not configured yet.

dpkg: error processing package mmdvm-bridge (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Processing triggers for systemd (215-17+deb8u11) ...
Errors were encountered while processing:
 dvswitch-base
 analog-bridge
 mmdvm-bridge
E: Sub-process /usr/bin/dpkg returned an error code (1)
vagrant@debian-8:/srv/DVSwitch-System-Builder$


Steve N4IRS
 

Problem found. Not fixed but hacked (for now).
As Cort has mentioned in the past, The source for DMR, NXDN and others have changed the format of the data (simple explanation) Seems every time we turn around this gets changed. This means I have to update the scripts in the dvswitch-base package.
I think our best bet going forward is to have a trusted source that ALLWAYS has current data at a known URL. I am going to host the files on dvswitch.org. That way I can fix the scripts when the source changes and dvswitch-base can remain the same. 

On 3/31/19 11:04 AM, EA5GVK Joaquin wrote:
Help. It report it error when install dvswitch:
Selecting previously unselected package dvswitch-base.
(Reading database ... 42595 files and directories currently installed.)
Preparing to unpack dvswitch-base_1.01-20180420-11_all.deb ...
Unpacking dvswitch-base (1.01-20180420-11) ...
Setting up dvswitch-base (1.01-20180420-11) ...
dpkg: error processing package dvswitch-base (--install):
 subprocess installed post-installation script returned error exit status 8
Errors were encountered while processing:
 dvswitch-base


Steve N4IRS
 

To fix the problem:
As root:
apt purge dvswitch-base
Say yes to Do you want to continue? [Y/n]

apt-get update
apt-get install dvswitch-base





On 3/31/19 11:04 AM, EA5GVK Joaquin wrote:
Help. It report it error when install dvswitch:
Selecting previously unselected package dvswitch-base.
(Reading database ... 42595 files and directories currently installed.)
Preparing to unpack dvswitch-base_1.01-20180420-11_all.deb ...
Unpacking dvswitch-base (1.01-20180420-11) ...
Setting up dvswitch-base (1.01-20180420-11) ...
dpkg: error processing package dvswitch-base (--install):
 subprocess installed post-installation script returned error exit status 8
Errors were encountered while processing:
 dvswitch-base


Steve KC1AWV
 

Thanks for squashing this bug, Steve. Now I can get back to restructuring my install too!


On Sun, Mar 31, 2019, 7:28 PM Steve N4IRS <szingman@...> wrote:
To fix the problem:
As root:
apt purge dvswitch-base
Say yes to Do you want to continue? [Y/n]

apt-get update
apt-get install dvswitch-base





On 3/31/19 11:04 AM, EA5GVK Joaquin wrote:
Help. It report it error when install dvswitch:
Selecting previously unselected package dvswitch-base.
(Reading database ... 42595 files and directories currently installed.)
Preparing to unpack dvswitch-base_1.01-20180420-11_all.deb ...
Unpacking dvswitch-base (1.01-20180420-11) ...
Setting up dvswitch-base (1.01-20180420-11) ...
dpkg: error processing package dvswitch-base (--install):
 subprocess installed post-installation script returned error exit status 8
Errors were encountered while processing:
 dvswitch-base


francois xavier. humetz <francoisxavier.humetz@...>
 

Bonjours je recherche un coup de mains pour installer dvswitch  sur mon telephone  portable .jai TeamViewer  pour le faire ..cordialement